#!/bin/sh

VERSION=1.0.4

if [ "$1" = "cross" ]; then
    export CROSSCOMPILE=/opt/Embedix/tools
    export QPEDIR=/opt/Qtopia/sharp
    export QTDIR=/opt/Qtopia/sharp
    export PATH=$QTDIR/bin:$QPEDIR/bin:$CROSSCOMPILE/bin:$PATH
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-sharp-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=arm
elif [ "$1" = "native" ]; then
    export CROSSCOMPILE=
    export QPEDIR=/opt/Qtopia
    export QTDIR=/opt/Qtopia
    export PATH=$QTDIR/bin:$QPEDIR/bin:$PATH:/opt/Embedix/tools/bin
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-x86-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=x86
else
    echo "usage: $0 cross | native"
    exit 1
fi

tmake -o Makefile qpealarmclock.pro
make
lrelease qpealarmclock.pro

for LANGUAGE in en de; do
    mkdir -p tmp/CONTROL
    mkdir -p tmp/opt/QtPalmtop/apps/Applications
    mkdir -p tmp/opt/QtPalmtop/bin
    mkdir -p tmp/opt/QtPalmtop/pics
    if [ "$LANGUAGE" != "en" ]; then
	mkdir -p tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    fi
    cp qpealarmclock.desktop tmp/opt/QtPalmtop/apps/Applications
    cp qpealarmclock tmp/opt/QtPalmtop/bin
    cp QpeAlarmClock.png tmp/opt/QtPalmtop/pics
    if [ "$LANGUAGE" != "en" ]; then
	cp i18n/${LANGUAGE}/qpealarmclock.qm tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    fi
    touch tmp/CONTROL/control
    if [ "$LANGUAGE" != "en" ]; then
	echo "Package: qpealarmclock-${LANGUAGE}" >> tmp/CONTROL/control
	echo "Filename: ./qpealarmclock-${LANGUAGE}_${VERSION}_${ARCHITECTURE}.ipk" >> tmp/CONTROL/control
    else
	echo "Package: qpealarmclock" >> tmp/CONTROL/control
	echo "Filename: ./qpealarmclock_${VERSION}_${ARCHITECTURE}.ipk" >> tmp/CONTROL/control
    fi
    echo "Architecture: ${ARCHITECTURE}" >> tmp/CONTROL/control
    cat qpealarmclock.control >> tmp/CONTROL/control
    ipkg-build tmp
    rm -rf tmp
done

